# Configuration file for the sshtun daemon

# Path to the log file
# If this is changed, make sure it's updated in /etc/logrotate.d/sshtun!
logFile=/var/log/sshtun.log

# Logging priority. These are the values of System.Log.Priority from
# the hslogger library:
#   DEBUG      Debug messages
#   INFO       More verbose, this is a reasonable default
#   NOTICE     Only program start/stop is logged
#   ERROR      Error conditions
# Only the priority specified here and higher will be logged
# DEBUG is lowest (more logging) and ERROR is highest (less logging)
logPriority=INFO

# Location of simple text file available via http. The contents of the 
# file are expected to be either a 1 or a 0, corresponding to whether 
# we want the tunnel to be up or not.
# Setting this equal to nothing means the tunnel should not be switched
# at all, stays up all the time.
#   switchUrl=http://foo.com/tflag
switchUrl=

# Frequency that we will check the flag, in seconds
switchPollInterval=300

# When the root user starts this daemon and then drops privileges, use
# the following user on this local system to keep the daemon running. This
# is the user whose ssh keypair must be coordinated with the remote
# system's user.
localDaemonUser=LOCALUSER

# Both sshPort and localPort won't be manipulated by users directly, 
# see remotePort below

# Port we are using to establish this tunnel, from here to that system
sshPort=22

# Port that will be used to tunnel back to this system
localPort=22

# Port to use the tunnel, like this:
#   remoteHost$ ssh -p 2022 LOCALUSER@localhost
remotePort=2022

# User and host of remote system
remoteUser=REMOTEUSER
remoteHost=REMOTEHOST

# Additional ssh parameters
addlSshArgs=
# A useful one is enabling X11 forwarding:
#addlSshArgs=-X

# Time in seconds to wait before attempting to reestablish the tunnel
tunnelRetryDelay=300
